/*
** Module   : Content.java
** Abstract : Progress 4GL INI flie content abstract class.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVL 20130701 Created initial version
*/

package com.goldencode.p2j.util;

import java.io.*;

/**
 * Abstract class implementing the INI text file content. Can be either line to ignore in the
 * case of comment or empty line or key=value section with possible comments or empty lines.
 *
 * @author    EVL
 */
public abstract class Content
{
   /**
    * Constructs an instance of the simple line or section in INI file.
    */
   public Content()
   {
   }
   
   /**
    * Writes the content to the file via Writer object provided.
    * 
    * @param pw 
    *        The writer will be used to save content to the file.
    */
   public abstract void write(PrintWriter pw);
   
   /**
    * Checks if the content is empty or not.
    * 
    * @return <code>true</code> in case of not emptry, <code>false</code> otherwise.
    */
   public abstract boolean notEmpty();
}
